require 'rubygems'
require 'mqtt'
require 'rest-client'
require 'json'

$server_room_resource = {
  "data": {
    "uuid": "1bb05afa-1620-48ff-b47e-550123888869",
    "description": "server room",
    "capabilities": [
      "temperature",
      "humidity",
      "gas",
      "air conditioning temperature"
    ],
    "status": "active",
    "lat": -2.559301, 
    "lon": -44.308040
  }
}

$ac_temp_capability = {
  "name": "air conditioning temperature",
  "capability_type": "actuator",
  "description": "Control a temperature of air conditioning"
}

$smoke_sensor_capability = {
  "name": "gas",
  "description": "A simple smoke sensor",
  "capability_type": "sensor",
}

def init_resource
  begin
    puts RestClient.get('localhost:8000/catalog/capabilities/air%20conditioning%20temperature')
  rescue RestClient::Exception => e
    RestClient.post('localhost:8000/catalog/capabilities', $ac_temp_capability)  
  end
  begin
    puts RestClient.get('localhost:8000/catalog/capabilities/gas')
  rescue RestClient::Exception => e
    RestClient.post('localhost:8000/catalog/capabilities', $smoke_sensor_capability)  
  end
  RestClient.post('localhost:8000/catalog/resources', $server_room_resource)
end

begin
  puts RestClient.get('localhost:8000/catalog/resources/1bb05afa-1620-48ff-b47e-550123888869')
rescue RestClient::Exception => e
  init_resource
end


